Subject: bug#30809: closed (Re: [bug#30809] [PATCH 2/2] services: Add Gitolite.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Sep 2018 20:29:02 +0000

Your bug report

#30809: [PATCH] Gitolite service

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30809: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30809
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30809] [PATCH 2/2] services: Add Gitolite.
From: Christopher Baines <[email-masked]>
To: Nils Gillmann <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Sep 2018 21:28:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Nils Gillmann <[email-masked]> writes:

> Christopher Baines transcribed 1.8K bytes:
>>
>> Clément Lassieur <[email-masked]> writes:
>>
>> > Hello Christopher,
>> >
>> > I often get:
>> >
>> >     guix: gitolite: installing /gnu/store/hraw5zr6lp2w4v6czhvf1gp6phzxmzmj-gitolite.rc
>> >     fatal: Unable to create '/var/lib/git/repositories/gitolite-admin.git/./index.lock': File exists.
>> >
>> > While upgrading my gitolite service.  Did you encounter it?  Do you know
>> > how to fix it?
>>
>> I don't think I've seen this. It could be if something has gone wrong
>> with git, it's left the lockfile around. Perhaps before you next
>> reconfigure, check if the lockfile exists, and then assuming git isn't
>> running, delete it.
>>
>> Do say if it keeps happening though.
>
>
> Hi Christopher,
>
> until end of october Taler needs to migrate servers, and I am
> responsible to move it to GuixSD. Gitolite is a critical and
> essential part of the infrastructure.
>
> Do you think the gitolite service is (mostly) ready to be deployed or
> have you encountered any bugs with it?

Well, it's in master now (as of a few minutes ago), so I'd suggest
giving it a go.

The Guix service is just a thin wrapper around Gitolite to get it going,
so hopefully not much can go wrong. I'm not sure if necessarily all the
features of Gitolite work in the package (as the service runs in a more
minimal environment that a normal user may have). But, hopefully it will
just work fine :)

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30809#80

Subject: [PATCH] Gitolite service
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 13 Mar 2018 21:35:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: moreinfo

About a month ago, I managed to write a somewhat working Gitolite
service. This still needs a bit of work, as the service needs cleaning
up, and the documentation writing. I also need to actually try using it
for real, rather than just assuming it'll work because of the system
test.

Anyway, I haven't got around to doing any of these things in the
intervening month, so here is a bug to track adding a Gitolite service,
and I'll send the current patches I've got.